package com.steering.pss.sale.order.model;

/**
 * 数据库表SLM_BASE_ADD_ASK所对应的实体类（生成工具：代码生成器2.4）
 * @author Chenxi-PC   date 2015-05-29
 */
public class SlmBaseAddAskEntity {
    /**
     * 工序点代码
     */
    private String stationCode;
    /**
     * 工序点名称
     */
    private String stationDesc;
    /**
     * 贴图(贴图存储路径)
     */
    private String pic;
    /**
     * 父节点编码
     */
    private String askPItemNo;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 附加要求编码，根据三层树结构设定 第一层：1210+两位流水号 第二层：上级节点的编码+两位流水号 第三层：上级节点的编码+三位流水号
     */
    private String askItemNo;
    /**
     * 附加要求描述
     */
    private String askItemDesc;
    private String stdflag = "";

	public SlmBaseAddAskEntity(){
        stationCode = "";
        stationDesc = "";
        pic = "";
        askPItemNo = "";
        validflag = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        askItemNo = "";
        askItemDesc = "";
    }

    /**
     * 工序点代码
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 工序点代码
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 工序点名称
     * @return value
     */
    public String getStationDesc() {
        return stationDesc;
    }

    /**
     * 工序点名称
     * @param stationDesc value
     */
    public void setStationDesc(String stationDesc) {
        this.stationDesc = stationDesc;
    }

    /**
     * 贴图(贴图存储路径)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 贴图(贴图存储路径)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 父节点编码
     * @return value
     */
    public String getAskPItemNo() {
        return askPItemNo;
    }

    /**
     * 父节点编码
     * @param askPItemNo value
     */
    public void setAskPItemNo(String askPItemNo) {
        this.askPItemNo = askPItemNo;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 附加要求编码，根据三层树结构设定 第一层：1210+两位流水号 第二层：上级节点的编码+两位流水号 第三层：上级节点的编码+三位流水号
     * @return value
     */
    public String getAskItemNo() {
        return askItemNo;
    }

    /**
     * 附加要求编码，根据三层树结构设定 第一层：1210+两位流水号 第二层：上级节点的编码+两位流水号 第三层：上级节点的编码+三位流水号
     * @param askItemNo value
     */
    public void setAskItemNo(String askItemNo) {
        this.askItemNo = askItemNo;
    }

    /**
     * 附加要求描述
     * @return value
     */
    public String getAskItemDesc() {
        return askItemDesc;
    }

    /**
     * 附加要求描述
     * @param askItemDesc value
     */
    public void setAskItemDesc(String askItemDesc) {
        this.askItemDesc = askItemDesc;
    }
    
    public String getStdflag() {
		return stdflag;
	}

	public void setStdflag(String stdflag) {
		this.stdflag = stdflag;
	}
}
